Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class InstanceProxyContainer

    java.lang.Object
      org.jboss.aop.Advisor
          org.jboss.aop.ClassContainer
              org.jboss.aop.proxy.container.ClassProxyContainer
                  org.jboss.aop.proxy.container.InstanceProxyContainer

All Implemented Interfaces:
  InstanceAdvisor

public class InstanceProxyContainer
extends ClassProxyContainer
implements InstanceAdvisor

The InstanceAdvisor returned by ClassProxyContainer

Version:
  $Revision: 1.12 $ =======, $Revision: 1.12 $ >>>>>>> 1.8.2.1
Author:
  Kabir Khan <<<<<<< InstanceProxyContainer.java

Field Summary

Fields inherited from class org.jboss.aop.ClassContainer
`advisedFields`

Fields inherited from class org.jboss.aop.Advisor
`adviceBindings, adviceInterceptors, advisedMethods, annotations, aspects, classAnnotations, classMetaData, classMetaDataBindings, clazz, constructionInfos, constructionInterceptors, constructorInfos, constructorInterceptors, constructorMetaData, constructors, defaultMetaData, doesHaveAspects, fieldMetaData, interfaceIntroductions, manager, methodInterceptors, methodMetaData, name, perInstanceAspectDefinitions, perInstanceJoinpointAspectDefinitions`

Constructor Summary
`InstanceProxyContainer(String name, ProxyAdvisorDomain instanceDomain, Advisor classAdvisor, org.jboss.repository.spi.MetaDataContext metaDataContext)`

Method Summary
`void` | `appendInterceptor(Interceptor interceptor)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `appendInterceptor(int index, Interceptor interceptor)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `appendInterceptorStack(String stackName)` Not implemented InstanceAdvisor method, we should be using the domain
`static InstanceProxyContainer` | `createInstanceProxyContainer(Advisor classAdvisor, InterfaceIntroduction introduction, org.jboss.repository.spi.MetaDataContext metaDataContext)`
`Advisor` | `getClassAdvisor()`
`Domain` | `getDomain()`
`Interceptor[]` | `getInterceptors()` Not implemented InstanceAdvisor method, we should be using the domain
`Interceptor[]` | `getInterceptors(Interceptor[] baseChain)` Not implemented InstanceAdvisor method, we should be using the domain
`SimpleMetaData` | `getMetaData()`
`MethodInfo` | `getMethodInfo(long hash)` If the target instance is advised, make sure that we set the unadvised method to the one stored by the class advisor so that we don't get double invocations.
`Object` | `getPerInstanceAspect(AspectDefinition def)`
`Object` | `getPerInstanceAspect(String aspectName)` Get the instance of an aspect.
`Object` | `getPerInstanceJoinpointAspect(Joinpoint joinpoint, AspectDefinition def)`
`boolean` | `hasInterceptors()` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `insertInterceptor(Interceptor interceptor)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `insertInterceptor(int index, Interceptor interceptor)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `insertInterceptorStack(String stackName)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `removeFromDomain()`
`void` | `removeInterceptor(String name)` Not implemented InstanceAdvisor method, we should be using the domain
`void` | `removeInterceptorStack(String name)` Not implemented InstanceAdvisor method, we should be using the domain

Methods inherited from class org.jboss.aop.proxy.container.ClassProxyContainer
`chainOverridingForInheritedMethods, createConstructorTables, createInstanceProxyContainer, createInstanceProxyContainer, createMethodMap, initialise`

Methods inherited from class org.jboss.aop.ClassContainer
`addClassMetaData, bindClassMetaData, createFieldTable, createInterceptorChains, createMethodInfo, initializeClassContainer, initializeMetadata, initializeMethodChain, rebindClassMetaData, rebuildInterceptors, removeClassMetaData, setClass`

Methods inherited from class org.jboss.aop.Advisor
`addAdviceInterceptor, addInterfaceIntroduction, addPerClassAspect, addPerInstanceAspect, addPerInstanceJoinpointAspect, createInterceptorChain, deployAnnotationOverride, deployAnnotationOverrides, deployMethodAnnotationOverrides, dynamicInvoke, finalizeConstructionChain, finalizeConstructorChain, finalizeMethodChain, getAdviceInterceptor, getAllMethods, getAnnotations, getClassMetaData, getClassMetadataBindings, getClazz, getConstructionInfos, getConstructionInterceptors, getConstructorInfos, getConstructorInterceptors, getConstructorMetaData, getConstructors, getDefaultMetaData, getFieldMetaData, getInterfaceIntroductions, getManager, getMetadataContext, getMethodMetaData, getName, getPerClassAspect, getPerClassAspect, getPerInstanceAspectDefinitions, getPerInstanceJoinpointAspectDefinitions, getSimpleName, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAspects, initializeConstructionChain, initializeConstructorChain, initializeInterfaceIntroductions, newBindingAdded, pointcutResolved, populateInterceptorsFromInfos, removeAdviceBinding, removeAdviceBindings, removeInterfaceIntroduction, removePerClassAspect, removePerInstanceAspect, removePerInstanceJoinpointAspect, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveConstructionPointcut, resolveConstructorPointcut, resolveMethodPointcut, setManager, setMetadataContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.InstanceAdvisor
`hasAspects`

Constructor Detail

### InstanceProxyContainer

    public InstanceProxyContainer(String name,
                                  ProxyAdvisorDomain instanceDomain,
                                  Advisor classAdvisor,
                                  org.jboss.repository.spi.MetaDataContext metaDataContext)

Method Detail

### createInstanceProxyContainer

    public static InstanceProxyContainer createInstanceProxyContainer(Advisor classAdvisor,
                                                                      InterfaceIntroduction introduction,
                                                                      org.jboss.repository.spi.MetaDataContext metaDataContext)

### getClassAdvisor

    public Advisor getClassAdvisor()

### getPerInstanceAspect

    public Object getPerInstanceAspect(String aspectName)

  Description copied from interface: `InstanceAdvisor`
  Get the instance of an aspect. An aspect encapsulates a set of advices.

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`
  Parameters:
    `aspectName` -
  Returns:

### getPerInstanceAspect

    public Object getPerInstanceAspect(AspectDefinition def)

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`

### getPerInstanceJoinpointAspect

    public Object getPerInstanceJoinpointAspect(Joinpoint joinpoint,
                                                AspectDefinition def)

  Specified by:
    `getPerInstanceJoinpointAspect` in interface `InstanceAdvisor`

### getMetaData

    public SimpleMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `InstanceAdvisor`

### getDomain

    public Domain getDomain()

  Specified by:
    `getDomain` in interface `InstanceAdvisor`

### hasInterceptors

    public boolean hasInterceptors()

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `hasInterceptors` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors()

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors(Interceptor[] baseChain)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### insertInterceptor

    public void insertInterceptor(Interceptor interceptor)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### removeInterceptor

    public void removeInterceptor(String name)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `removeInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(Interceptor interceptor)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### insertInterceptorStack

    public void insertInterceptorStack(String stackName)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `insertInterceptorStack` in interface `InstanceAdvisor`

### removeInterceptorStack

    public void removeInterceptorStack(String name)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `removeInterceptorStack` in interface `InstanceAdvisor`

### appendInterceptorStack

    public void appendInterceptorStack(String stackName)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `appendInterceptorStack` in interface `InstanceAdvisor`

### insertInterceptor

    public void insertInterceptor(int index,
                                  Interceptor interceptor)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(int index,
                                  Interceptor interceptor)

  Not implemented InstanceAdvisor method, we should be using the domain

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### removeFromDomain

    public void removeFromDomain()

### getMethodInfo

    public MethodInfo getMethodInfo(long hash)

  If the target instance is advised, make sure that we set the unadvised method to the one stored by the class advisor so that we don't get double invocations.

  Overrides:
    `getMethodInfo` in class `Advisor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.